cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From wido <...@git.apache.org>
Subject [GitHub] cloudstack pull request: Systemd packaging for Ubuntu 16.04
Date Thu, 12 May 2016 13:42:09 GMT
GitHub user wido opened a pull request:

    https://github.com/apache/cloudstack/pull/1541

    Systemd packaging for Ubuntu 16.04

    This PR is for introducing packaging for Ubuntu 16.04
    
    Ubuntu 14.04 still uses sysvinit and Java 7. 16.04 uses systemd and Java 8.
    
    The 'build-deb.sh' script can be used to generate packages. The comments in the file show
how to use Docker to build for the different versions of Ubuntu.
    
    I've just build:
    * cloudstack-agent_4.9.0-SNAPSHOT~xenial_all.deb
    * cloudstack-agent_4.9.0-SNAPSHOT~trusty_all.deb

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/wido/cloudstack systemd-ubuntu1604

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cloudstack/pull/1541.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1541
    
----
commit 6fa05801d828971f7ac76ae028fa304c2bc4cc8f
Author: Wido den Hollander <wido@widodh.nl>
Date:   2016-04-28T18:59:30Z

    systemd: Add a /etc/sysconfig/cloudstack-* file
    
    This allows users to easily override variables passed to Java when
    starting up.
    
    It also creates a foundation for sharing the systemd service profile
    between CentOS and Ubuntu since it only requires the environment file
    to be changed.

commit 61157ece4174baf38e331ec26ce09b79e5c49254
Author: Wido den Hollander <wido@widodh.nl>
Date:   2016-04-29T08:12:24Z

    deb: Drop Ubuntu 12.04 support
    
    The libvirt and Qemu versions (1.2.2 and 2.0) in Ubuntu 12.04 are
    to old to support for CloudStack going forward.
    
    Ubuntu 14.04 and 16.04 provide the support required to provide new
    features and more stability.

commit be2cd066919854627fa8456398abd46d1748075b
Author: Wido den Hollander <wido@widodh.nl>
Date:   2016-04-28T19:42:31Z

    deb: Add Ubuntu 16.04 support
    
    Ubuntu 16.04 differs from Ubuntu 14.04 in a few ways:
    - systemd instead of sysvinit / upstart
    - Java 8 support
    
    The packaging now detects on which distribution it is being
    build and based on that it installs different files in the
    packages, but it also changes the Dependencies.
    
    Packages for Ubuntu 16.04 will require Java 8 as a JRE

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message